javax.json.stream

## Interface JsonGeneratorFactory

-     public interface JsonGeneratorFactory

  Factory to create `JsonGenerator` instances. If a factory instance is configured with some configuration, the configuration applies to all generator instances created using that factory instance.

  The class `Json` also provides methods to create `JsonGenerator` instances, but using `JsonGeneratorFactory` is preferred when creating multiple generator instances as shown in the following example:

       JsonGeneratorFactory factory = Json.createGeneratorFactory();
       JsonGenerator generator1 = factory.createGenerator(...);
       JsonGenerator generator2 = factory.createGenerator(...);

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonGenerator` | `createGenerator(OutputStream out)` Creates a JSON generator to write JSON text to a byte stream.
    `JsonGenerator` | `createGenerator(OutputStream out, Charset charset)` Creates a JSON generator to write JSON text to a byte stream.
    `JsonGenerator` | `createGenerator(Writer writer)` Creates a JSON generator to write JSON text to a character stream.
    `Map<String,?>` | `getConfigInUse()` Returns a read-only map of supported provider specific configuration properties that are used to configure the JSON generators.

- - ### Method Detail

    - #### createGenerator

          JsonGenerator createGenerator(Writer writer)

      Creates a JSON generator to write JSON text to a character stream. The generator is configured with the factory configuration.
      Parameters:
        `writer` - i/o writer to which JSON is written

    - #### createGenerator

          JsonGenerator createGenerator(OutputStream out)

      Creates a JSON generator to write JSON text to a byte stream. Characters written to the stream are encoded into bytes using UTF-8 encoding. The generator is configured with the factory's configuration.
      Parameters:
        `out` - i/o stream to which JSON is written

    - #### createGenerator

          JsonGenerator createGenerator(OutputStream out,
                                      Charset charset)

      Creates a JSON generator to write JSON text to a byte stream. Characters written to the stream are encoded into bytes using the specified charset. The generator is configured with the factory's configuration.
      Parameters:
        `out` - i/o stream to which JSON is written
        `charset` - a charset

    - #### getConfigInUse

          Map<String,?> getConfigInUse()

      Returns a read-only map of supported provider specific configuration properties that are used to configure the JSON generators. If there are any specified configuration properties that are not supported by the provider, they won't be part of the returned map.
      Returns:
        a map of supported provider specific properties that are used to configure the created generators. The map may be empty but not null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.